## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectOutputStream.EPackageData

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectOutputStream.EPackageData

Enclosing class:
  BinaryResourceImpl.EObjectOutputStream

    protected static class BinaryResourceImpl.EObjectOutputStream.EPackageData

extends java.lang.Object

Field Summary
`BinaryResourceImpl.EObjectOutputStream.EClassData[]` `eClassData`
`int` `id`

Constructor Summary
`protected` `BinaryResourceImpl.EObjectOutputStream.EPackageData()`

Method Summary
`int` `allocateEClassID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public int id

### eClassData

    public BinaryResourceImpl.EObjectOutputStream.EClassData[] eClassData

Constructor Detail

### BinaryResourceImpl.EObjectOutputStream.EPackageData

    protected BinaryResourceImpl.EObjectOutputStream.EPackageData()

Method Detail

### allocateEClassID

    public final int allocateEClassID()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.